%global         srcname pyroute2

Summary:        Pure Python netlink library
Name:           python-%{srcname}
Version:        0.6.12
Release:        3%{?dist}
License:        GPLv2+
URL:            https://github.com/svinota/%{srcname}

Source0:        %{pypi_source pyroute2}
Source1:        %{pypi_source pyroute2.core}
Source2:        %{pypi_source pyroute2.nslink}
Source3:        %{pypi_source pyroute2.nftables}
Source4:        %{pypi_source pyroute2.ethtool}
Source5:        %{pypi_source pyroute2.ipset}
Source6:        %{pypi_source pyroute2.ipdb}
Source7:        %{pypi_source pyroute2.ndb}

BuildArch:      noarch

%description
This package provides several levels of API to work with Netlink protocols,
such as Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        Pure Python netlink library
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

Provides:       python-pyroute2 = %{version}-%{release}
Provides:       python%{python3_version}-pyroute2 = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname}
This package provides several levels of API to work with Netlink protocols,
such as Generic Netlink, RTNL, TaskStats, NFNetlink, IPQ.

%prep
%autosetup -n %{srcname}-%{version}
cd ..
tar xzf %{SOURCE1}
tar xzf %{SOURCE2}
tar xzf %{SOURCE3}
tar xzf %{SOURCE4}
tar xzf %{SOURCE5}
tar xzf %{SOURCE6}
tar xzf %{SOURCE7}

%build
%py3_build
cd ../%{srcname}.core-%{version}
%py3_build
cd ../%{srcname}.nslink-%{version}
%py3_build
cd ../%{srcname}.nftables-%{version}
%py3_build
cd ../%{srcname}.ethtool-%{version}
%py3_build
cd ../%{srcname}.ipset-%{version}
%py3_build
cd ../%{srcname}.ipdb-%{version}
%py3_build
cd ../%{srcname}.ndb-%{version}
%py3_build

%install
%py3_install
cd ../%{srcname}.core-%{version}
%py3_install
cd ../%{srcname}.nslink-%{version}
%py3_install
cd ../%{srcname}.nftables-%{version}
%py3_install
cd ../%{srcname}.ethtool-%{version}
%py3_install
cd ../%{srcname}.ipset-%{version}
%py3_install
cd ../%{srcname}.ipdb-%{version}
%py3_install
cd ../%{srcname}.ndb-%{version}
%py3_install

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE.GPL.v2 LICENSE.Apache.v2
%doc README*
%{_bindir}/ss2
%{_bindir}/%{srcname}-cli
%{python3_sitelib}/%{srcname}*
%{python3_sitelib}/pr2modules

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.12-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Oct 26 2022 Shuo Wang <abushwang@tencent.com> - 0.6.12-1
- initial build

